Module | TkKinput
In: | tk/lib/tk/kinput.rb

### Methods

attribute_config attribute_info input_end input_start kanji_input_end kanji_input_start kinput_attribute_config kinput_attribute_info kinput_send_spot kinput_start send_spot start

### Included Modules

Tk

### Constants

TkCommandNames | = | [ 'kinput_start'.freeze, 'kinput_send_spot'.freeze, 'kanjiInput'.freeze

### Public Class methods

attribute_config(win, slot, value=None)

[Source]

    # File tk/lib/tk/kinput.rb, line 37
      def TkKinput.attribute_config(win, slot, value=None)
        if slot.kind_of? Hash
          tk_call('kanjiInput', 'attribute', win, *hash_kv(slot))
        else
          tk_call('kanjiInput', 'attribute', win, "-#{slot}", value)
        end
      end

attribute_info(win, slot=nil)

[Source]

    # File tk/lib/tk/kinput.rb, line 48
      def TkKinput.attribute_info(win, slot=nil)
        if slot
          conf = tk_split_list(tk_call('kanjiInput', 'attribute',
                                       win, "-#{slot}"))
          conf[0] = conf[0][1..-1]
          conf
        else
          tk_split_list(tk_call('kanjiInput', 'attribute', win)).collect{|conf|
            conf[0] = conf[0][1..-1]
            conf
          }
        end
      end

input_end(win)

[Source]

    # File tk/lib/tk/kinput.rb, line 65
      def TkKinput.input_end(win)
        tk_call('kanjiInput', 'end', win)
      end

input_start(win, keys=nil)

[Source]

    # File tk/lib/tk/kinput.rb, line 30
      def TkKinput.input_start(win, keys=nil)
        tk_call('kanjiInput', 'start', win, *hash_kv(keys))
      end

send_spot(win)

[Source]

    # File tk/lib/tk/kinput.rb, line 23
      def TkKinput.send_spot(win)
        tk_call('kinput_send_spot', win)
      end

start(win, style=None)

[Source]

    # File tk/lib/tk/kinput.rb, line 16
      def TkKinput.start(win, style=None)
        tk_call('kinput_start', win, style)
      end

### Public Instance methods

kanji_input_end()

[Source]

    # File tk/lib/tk/kinput.rb, line 68
      def kanji_input_end
        TkKinput.input_end(self)
      end

kanji_input_start(keys=nil)

[Source]

    # File tk/lib/tk/kinput.rb, line 33
      def kanji_input_start(keys=nil)
        TkKinput.input_start(self, keys)
      end

kinput_attribute_config(slot, value=None)

[Source]

    # File tk/lib/tk/kinput.rb, line 44
      def kinput_attribute_config(slot, value=None)
        TkKinput.attribute_config(self, slot, value)
      end

kinput_attribute_info(slot=nil)

[Source]

    # File tk/lib/tk/kinput.rb, line 61
      def kinput_attribute_info(slot=nil)
        TkKinput.attribute_info(self, slot)
      end

kinput_send_spot()

[Source]

    # File tk/lib/tk/kinput.rb, line 26
      def kinput_send_spot
        TkKinput.send_spot(self)
      end

kinput_start(style=None)

[Source]

    # File tk/lib/tk/kinput.rb, line 19
      def kinput_start(style=None)
        TkKinput.start(self, style)
      end

[Validate]